facebook twitter hatena line email

「Unity/バージョンアップメモ/unity2021.3.4f1」の版間の差分

提供: 初心者エンジニアの簡易メモ
移動: 案内検索
(same name Google.VersionHandler.dllエラー)
 
行5: 行5:
 
強制で5.1以上となる
 
強制で5.1以上となる
  
==Androidビルドで"エラーになる不具合==
+
==Androidビルドでエラーになる不具合==
 
エラー詳細
 
エラー詳細
 
  "Exception: OBSOLETE - Providing Android resources in Assets/Plugins/Android/res was removed, please move your resources to an AAR or an Android Library. See "AAR plug-ins and Android Libraries"
 
  "Exception: OBSOLETE - Providing Android resources in Assets/Plugins/Android/res was removed, please move your resources to an AAR or an Android Library. See "AAR plug-ins and Android Libraries"
 
対策方法:
 
対策方法:
 
SocialConnectorとかで、Assets/Plugins/Android/resを使ってる可能性があるので、NatShareとかに切り替える。
 
SocialConnectorとかで、Assets/Plugins/Android/resを使ってる可能性があるので、NatShareとかに切り替える。
 +
 +
==Androidビルドでsame name Google.VersionHandler.dllエラー==
 +
エラー詳細
 +
Multiple precompiled assemblies with the same name Google.VersionHandler.dll included on the current platform. Only one assembly with the same name is allowed per platform.
 +
以下2つがかぶってないか。かぶってたら、上を消す。
 +
* Assets/ExternalDependencyManager/Editor/Google.VersionHandler.dll
 +
* Library/PackageCache/com.google.external-dependency-manager@1.2.164/ExternalDependencyManager/Editor/Google.VersionHandler.dll
 +
 +
Library側を消す場合は、PackageManagerのInProjectでGoogleのライブラリをoffにする必要がある。
  
 
==iOSビルドで以下エラーが出るとき==
 
==iOSビルドで以下エラーが出るとき==
行35: 行44:
  
 
参考:https://nekosuko.jp/1802/
 
参考:https://nekosuko.jp/1802/
 
==Androidビルドでsame name Google.VersionHandler.dllエラー==
 
エラー詳細
 
Multiple precompiled assemblies with the same name Google.VersionHandler.dll included on the current platform. Only one assembly with the same name is allowed per platform.
 
以下2つがかぶってないか。かぶってたら、上を消す。
 
* Assets/ExternalDependencyManager/Editor/Google.VersionHandler.dll
 
* Library/PackageCache/com.google.external-dependency-manager@1.2.164/ExternalDependencyManager/Editor/Google.VersionHandler.dll
 
 
Library側を消す場合は、PackageManagerのInProjectでGoogleのライブラリをoffにする必要がある。
 

2022年8月8日 (月) 20:05時点における最新版

バージョンアップ情報

unity2020.3.21f1からunity2021.3.4f1へ

androidの最小verについて

強制で5.1以上となる

Androidビルドでエラーになる不具合

エラー詳細

"Exception: OBSOLETE - Providing Android resources in Assets/Plugins/Android/res was removed, please move your resources to an AAR or an Android Library. See "AAR plug-ins and Android Libraries"

対策方法: SocialConnectorとかで、Assets/Plugins/Android/resを使ってる可能性があるので、NatShareとかに切り替える。

Androidビルドでsame name Google.VersionHandler.dllエラー

エラー詳細

Multiple precompiled assemblies with the same name Google.VersionHandler.dll included on the current platform. Only one assembly with the same name is allowed per platform.

以下2つがかぶってないか。かぶってたら、上を消す。

  • Assets/ExternalDependencyManager/Editor/Google.VersionHandler.dll
  • Library/PackageCache/com.google.external-dependency-manager@1.2.164/ExternalDependencyManager/Editor/Google.VersionHandler.dll

Library側を消す場合は、PackageManagerのInProjectでGoogleのライブラリをoffにする必要がある。

iOSビルドで以下エラーが出るとき

エラー詳細

Showing Recent Messages Undefined symbol: _OBJC_CLASS_$_FIRFunctions

対応方法: Podfileがあるか確認し、なければ、すでにインストールしてるFirebaseを、もう一度インストールして、再度iosをreplaceビルドしたが、Podfileが作成されず、xcworkspaceプロジェクトが作られなく、うまく行かなかったので、以下最新へバージョンアップしたところ、Podfileが作成され、xcworkspaceも作成された。

  • Firebase-8.1.0→9.1.0
  • Admob-6.1.0→7.0.2
  • ExternalDependencyManager-1.2.166→1.2.171

予め以下フォルダを削除しておく

  • Assets/ExternalDependencyManager
  • Assets/Firebase
  • Assets/GoogleMobileAdsのResouces以外
  • Assets/GeneratedLocalRepo
  • Assets/Editor Default Resources

iOSでアプリタイトルが日本語にならない

xcodeのinfo.plistのCFBundleDevelopmentRegionを、ja_JPにする

参考:https://baba-s.hatenablog.com/entry/2020/07/20/000000

xcodeのInfoPlistのTargetMembershipのUnityiPhoneにチェックを付ける

参考:https://nekosuko.jp/1802/